<div class="container">
    <table mat-table [dataSource]="alerts">
        <ng-container matColumnDef="icon">
            <th mat-header-cell *matHeaderCellDef class="center-text"></th>
            <td mat-cell *matCellDef="let alert">
                <mat-icon>home</mat-icon>
            </td>
        </ng-container>

        <ng-container matColumnDef="alertType">
            <th mat-header-cell *matHeaderCellDef class="center-text">Description</th>
            <td mat-cell *matCellDef="let alert">{{prettifyAlertType(alert.alertType)}}</td>
        </ng-container>

        <ng-container matColumnDef="lastRegisteredValue">
            <th mat-header-cell *matHeaderCellDef class="center-text">Registered value</th>
            <td mat-cell *matCellDef="let alert">{{alert.lastRegisteredValue}}</td>
        </ng-container>

        <ng-container matColumnDef="threshold">
            <th mat-header-cell *matHeaderCellDef class="center-text">Threshold value</th>
            <td mat-cell *matCellDef="let alert">{{alert.threshold}}</td>
        </ng-container>

        <ng-container matColumnDef="registrationDate">
            <th mat-header-cell *matHeaderCellDef class="center-text">First registered at</th>
            <td mat-cell *matCellDef="let alert">{{alert.registrationDate | date:'short'}}</td>
        </ng-container>

        <ng-container matColumnDef="lastUpdateDate">
            <th mat-header-cell *matHeaderCellDef class="center-text">Last registered at</th>
            <td mat-cell *matCellDef="let alert">{{alert.lastUpdateDate | date:'short'}}</td>
        </ng-container>

        <ng-container matColumnDef="acknowledge">
            <th mat-header-cell *matHeaderCellDef class="center-text">Mark as fixed</th>
            <td mat-cell *matCellDef="let alert">
                <button mat-raised-button color="add-button" (click)="acknowledgeAlert(alert)">Fixed</button>
            </td>
        </ng-container>
        <tr mat-header-row *matHeaderRowDef="alertsColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: alertsColumns"></tr>
    </table>
</div>